org.apache.xmlbeans

## Class SchemaComponent.Ref

- java.lang.Object
- - org.apache.xmlbeans.SchemaComponent.Ref

Direct Known Subclasses:
  SchemaAttributeGroup.Ref, SchemaGlobalAttribute.Ref, SchemaGlobalElement.Ref, SchemaIdentityConstraint.Ref, SchemaModelGroup.Ref, SchemaType.Ref

Enclosing interface:
  SchemaComponent

    public abstract static class SchemaComponent.Ref
    extends Object

A lazy reference to a component. Used by SchemaTypeLoaders to avoid loading components until they are actually needed.

### Field Summary

Fields
`String` `_handle`

### Constructor Summary

Constructors
`protected` `Ref(SchemaComponent schemaComponent)`
`protected` `Ref(SchemaTypeSystem schemaTypeSystem, String handle)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`SchemaComponent` `getComponent()`
`abstract int` `getComponentType()`
`SchemaTypeSystem` `getTypeSystem()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _handle

    public String _handle

### Constructor Detail

#### Ref

    protected Ref(SchemaComponent schemaComponent)

#### Ref

    protected Ref(SchemaTypeSystem schemaTypeSystem,
                  String handle)

### Method Detail

#### getComponentType

    public abstract int getComponentType()

#### getTypeSystem

    public final SchemaTypeSystem getTypeSystem()

#### getComponent

    public final SchemaComponent getComponent()